# PhasicFlow: randomReal Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

randomReal Class Referenceabstract
Inheritance diagram for randomReal:
[legend]

## Public Member Functions

| TypeInfo ("randomReal")
| randomReal (word UNUSED(distribution))
| create_vCtor (randomReal, word,(word distribution),(distribution))
virtual | ~randomReal ()=default
virtual real | randomNumber (real a, real b)=0
virtual realx3 | randomNumber (realx3 a, realx3 b)=0

## Static Public Member Functions

static uniquePtr< randomReal > | create (word distribution)

## Detailed Description

Definition at line 31 of file randomReal.hpp.

## Constructor & Destructor Documentation

## randomReal()

randomReal | ( | word | UNUSEDdistribution | ) |

inline

Definition at line 40 of file randomReal.hpp.

## ~randomReal()

virtual ~randomReal | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "randomReal" |  | ) |

## create_vCtor()

create_vCtor | ( | randomReal | ,
|  | word | ,
|  | (word distribution) | ,
|  | (distribution) |
| ) |  |

## randomNumber() [1/2]

virtual real randomNumber | ( | real | a,
|  | real | b
| ) |  |

pure virtual

Implemented in RandomReal< DistributionType >.

## randomNumber() [2/2]

virtual realx3 randomNumber | ( | realx3 | a,
|  | realx3 | b
| ) |  |

pure virtual

Implemented in RandomReal< DistributionType >.

## create()

pFlow::uniquePtr< pFlow::randomReal > create | ( | word | distribution | ) |

static

Definition at line 26 of file randomReal.cpp.

References pFlow::angleBracketsNames(), fatalError, fatalExit, and pFlow::printKeys().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- src/phasicFlow/random/randomReal/randomReal.hpp
- src/phasicFlow/random/randomReal/randomReal.cpp